<?xml version="1.0" encoding="utf-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:rabbit="http://www.springframework.org/schema/rabbit"
	xsi:schemaLocation="http://www.springframework.org/schema/beans 
		http://www.springframework.org/schema/beans/spring-beans.xsd 
		http://www.springframework.org/schema/rabbit
		http://www.springframework.org/schema/rabbit/spring-rabbit-2.2.xsd">

	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="systemPropertiesModeName" value="SYSTEM_PROPERTIES_MODE_FALLBACK" />
	</bean>
	
	<bean id="OICSender" class="com.cim.idm.framework.esb.GenericSender">
		<property name="requester" ref="toOICSender"></property>
	</bean>
	
	<bean id="toOICSender" class="com.cim.idm.framework.esb.amqp.RabbitSender">
		<property name="destination" value="LCE.F1.MWMS.${mode}.OIC"></property>
		<property name="exchange" value="MWMS.${mode}.OIC"></property>
		<property name="routingKey" value="MWMS.${mode}.OIC"></property>
		<property name="rabbitTemplate" ref="rabbitTemplate"></property>
	</bean>
	<rabbit:queue name="LCE.F1.MWMS.${mode}.OIC" durable="false"
		 exclusive="false" auto-delete="true"/>
	<rabbit:topic-exchange name="MWMS.${mode}.OIC" >
		<rabbit:bindings>
			<rabbit:binding pattern="MWMS.${mode}.OIC" queue="LCE.F1.MWMS.${mode}.OIC" ></rabbit:binding>
			
		</rabbit:bindings>
	</rabbit:topic-exchange>
    	
</beans>

